﻿Type=Activity
Version=3.82
B4A=true
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: False
#End Region

'Activity module
Sub Process_Globals

	Dim SourceImageRect, TouchImageViewRect As Rect
	
End Sub

Sub Globals
	Dim TouchImageView1 As TouchImageView
	Dim Fn As Functions
End Sub

Sub Activity_Create(FirstTime As Boolean)

	Fn.Initialize(Activity, Me)
	Fn.SetIconActionBar(Fn.ID_ACTION_HOME, "")
	Fn.CreateActionBar
	
	Fn.CreateAdMob(Main.gAdId)
	
	
	
	Activity.AddMenuItem("Create Log", "CreateLog")
	
	TouchImageView1.Initialize("TouchImageView1")
	Activity.AddView(TouchImageView1, 0, 43dip, 100%x, Activity.Height - 51dip - 43dip)
	
	TouchImageView1.MinScale=0.25			'	default is 0.5
	TouchImageView1.MaxScale=2				'	default is 1.5
	TouchImageView1.TranslatePadding=128dip	'	default is 64dip
	
	TouchImageView1.Gravity=Gravity.FILL
	'TouchImageView1.SetBackgroundImage(LoadBitmap(File.DirAssets, "678-thumb.jpg"))
	
	Dim Bitmap1 As Bitmap
	Bitmap1.Initialize(File.DirAssets, "678-0.jpg")
	TouchImageView1.SetBitmap(Bitmap1)
	
	If FirstTime Then
		'	Rect parameters are: left, top, right, bottom
		SourceImageRect.Initialize(0, 0, Bitmap1.Width, Bitmap1.Height)
		TouchImageViewRect.Initialize(0, 0, TouchImageView1.Width, TouchImageView1.Height)
	End If
	
	'	if the scaling process scales the image to less than the current MinScale or more than the current MaxScale then MinScale or MaxScale will be adjusted
	TouchImageView1.ScaleSrcRectToDestRect(SourceImageRect, TouchImageViewRect, "FILL")	'	make string a static constant in library
	
End Sub

Sub Activity_Resume

	Fn.Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)
	
	TouchImageViewRect=TouchImageView1.GetDestRect
	
	Fn.Pause
	
End Sub

Sub CreateLog_Click
	TouchImageView1.CreateLog
End Sub

Sub TouchImageView1_Click(X As Int, Y As Int)
	Log("Click X="&X&", Y="&Y)
	
	'	zoom the image in by 5% on the clicked point
	'	the new scale factor will be the previous scale factor * 1.05
	
	
	TouchImageView1.PreScale(1.05, X, Y)
End Sub

Sub TouchImageView1_LongClick(X As Int, Y As Int)
	Log("LongClick X="&X&", Y="&Y)
	
	'	set the zoom/scale to 100%
	'	in this demo ScaleX and ScaleY will always be equal
	TouchImageView1.PreScale(1/TouchImageView1.ScaleX, X, Y)
	
End Sub

Sub Activity_KeyPress (KeyCode As Int) As Boolean

	If KeyCode = KeyCodes.KEYCODE_BACK Then
		ActionBar_Home
	End If
	
	Return False
	
End Sub 
Sub ActionBar_Home

  	Activity.Finish
	
End Sub
